﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Praktika409
{
    public partial class Form7 : Form
    {
        public Form7()
        {
            InitializeComponent();
            dateTimePicker1.Format = DateTimePickerFormat.Time;
            dateTimePicker1.ValueChanged += dateTimePicker1_ValueChanged;
            monthCalendar1.DateChanged += monthCalendar1_DateChanged;

            this.ShowInTaskbar = false;
            notifyIcon1.Click += notifyIcon1_Click;

            // задаем иконку всплывающей подсказки
            notifyIcon1.BalloonTipIcon = ToolTipIcon.Info;
            // задаем текст подсказки
            notifyIcon1.BalloonTipText = "Нажмите, чтобы отобразить окно";
            // устанавливаем зголовк
            notifyIcon1.BalloonTipTitle = "Подсказка";
            // отображаем подсказку 12 секунд
            notifyIcon1.ShowBalloonTip(12);
        }

        private void dateTimePicker1_ValueChanged(object sender, EventArgs e)
        {
            label1.Text = String.Format("Вы выбрали: {0}", dateTimePicker1.Value.ToLongTimeString());
        }

        private void monthCalendar1_DateChanged(object sender, DateRangeEventArgs e)
        {
            label2.Text = String.Format("Вы выбрали: {0}", e.Start.ToLongDateString());
            // или так - аналогичный код
            //label1.Text = String.Format("Вы выбрали: {0}", monthCalendar1.SelectionStart.ToLongDateString());
        }

        private void notifyIcon1_Click(object sender, EventArgs e)
        {
            this.WindowState = FormWindowState.Normal;

        }
    }
}
